ConstantException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core

## Class ConstantException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.springframework.core.ConstantException

- All Implemented Interfaces:
    Serializable

      public class ConstantException
      extends IllegalArgumentException

  Exception thrown when the `Constants` class is asked for an invalid constant name.
  Since:
    28.04.2003
  Author:
    Rod Johnson
  See Also:
    `Constants`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantException(String className, String namePrefix, Object value)` Thrown when an invalid constant value is looked up.
    `ConstantException(String className, String field, String message)` Thrown when an invalid constant name is requested.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantException

          public ConstantException(String className,
                           String field,
                           String message)

      Thrown when an invalid constant name is requested.
      Parameters:
        `className` - name of the class containing the constant definitions
        `field` - invalid constant name
        `message` - description of the problem

    - #### ConstantException

          public ConstantException(String className,
                           String namePrefix,
                           Object value)

      Thrown when an invalid constant value is looked up.
      Parameters:
        `className` - name of the class containing the constant definitions
        `namePrefix` - prefix of the searched constant names
        `value` - the looked up constant value